const fp = require('fastify-plugin');
const { OAuth2Client } = require('google-auth-library');

module.exports = fp(async function (fastify, opts) {
  const googleClient = new OAuth2Client(process.env.GOOGLE_CLIENT_ID);

  fastify.decorate('googleClient', googleClient);
});